compilation problem with fmod under Linux

Help
2004-08-28
2004-09-09
  • Nobody/Anonymous

    Hello,

    I've downloaded the latest version of fmod (3.73), I've put libfmod-3.73.so in /usr/lib and fmod.h in /usr/include/fmod like said in the compilation doc, and the configuration script say I've not the appropriate sound libraries. Can anybody help ?

    Here is the configuration script log:

    checking fmod/fmod.h usability... yes
    checking fmod/fmod.h presence... yes
    checking for fmod/fmod.h... yes
    checking for FSOUND_Close in -lfmod... no
    [...]
    Sound libraries: ""
    [...]
    WARNING: No appropriate sound libraries found.
    You can still compile Ultimate Stunts, but
    sound will not be available

     
    • Nobody/Anonymous

      I got the same error. I use libfmod 3.73 und configure finds fmod.h.

       
    • Cristian Morales Vega

      I installed it for another game some time ago, but it works for me.
      I have fmoddyn.h and fmod_errors.h with fmod.h and a link to libfmod-3.73.so called libfmod.so.
      These are the only differences, I vote that the link is the problem.

       
      • CJP

        CJP - 2004-09-09

        OK, make a link libfmod.so. I'll put it in the docs.

         
    • Nobody/Anonymous

      Yes, it was the problem ! Thanks a lot =)

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks